Bug 102179 - cmpci.o does not have line1 channel
Summary: cmpci.o does not have line1 channel
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-12 10:24 UTC by Paulo Roma Cavalcanti
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code with line 1 added. (103.05 KB, text/plain)
2003-08-12 10:26 UTC, Paulo Roma Cavalcanti
no flags Details

Description Paulo Roma Cavalcanti 2003-08-12 10:24:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Linux 2.4.20-19.7 i686) Opera 6.12  [en]

Description of problem:

I have an asus motherboard with onboard sound.
Also, I have two cd players. Since there is no line1
available, I can only play music cd's in a single
cdrom.

Incidentally, it is possible to recopile this module 
and add the missing channel (line 1).

I am submiting the source code I use
for your appreciation. I dowloaded it from the 
manufacturer site of the chipset and made some
minor changes to have a smooth compilation.

Thank you.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just open the mixer. The channel is missing.
2.
3.
   

Actual Results:  No line 1 present.

Expected Results:  I wpoukd expect two have line 1 channel 
as we have when using other sound modules,
as the one for sound blaster.

Additional info:


I think the code I am submting is GPL.

Comment 1 Paulo Roma Cavalcanti 2003-08-12 10:26:59 UTC
Created attachment 93599 [details]
Source code with line 1 added.

 cmpci-5.68 from manufacturer page.
 Fixed compilation for gcc 2.96.

Comment 2 Bugzilla owner 2004-09-30 15:41:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.